#ifndef _BddGetTime_H_
#define _BddGetTime_H_


// _WIN32  only defined by windows compilers
#ifdef _WIN32
#include <winsock.h>
#include <time.h>
#include <sys/types.h>
#include <sys/timeb.h>
#endif



namespace BDDHISC
{

		
#ifdef _WIN32
void gettimeofday(struct timeval* t,void* timezone)
{       struct _timeb timebuffer;
        _ftime( &timebuffer );
        t->tv_sec=timebuffer.time;
        t->tv_usec=1000*timebuffer.millitm;
}
#endif


} //end of namespace BDDHISC


namespace BDDSD
{

		
#ifdef _WIN32
void gettimeofday(struct timeval* t,void* timezone)
{       struct _timeb timebuffer;
        _ftime( &timebuffer );
        t->tv_sec=timebuffer.time;
        t->tv_usec=1000*timebuffer.millitm;
}
#endif


} //end of namespace BDDSD



#endif //_BddGetTime_H_
